Subject: Re: [Fot] Fot DIgest - John Buffum. World Class Rally Driver - Nomination

From: Kelvin Dodd via Fot <[email-masked]>
Date: Mon, 21 Nov 2022 18:17:55 +0000

Joe. 

I would happily also nominate John Buffum. 

My experience racing with him was just after he got the Audi gig. In 1981, a high point of my limited Pro Rally career was crashing my car about 3/4 of a mile past where John's Audi 80 broke down. 
John's antics with the Triumph TR7/8 helped out my finances during the late 70s, as British Leyland offered contingency money for highest placing Leyland product. Since I was the only Leyland car running in the Colorado divisional Pro Rally series, all I had to do was finish to get a check. 

Kelvin Dodd
Ojai, CA

On Sat, Nov 19, 2022 at 12:49 PM JOSEPH ALEXANDER via Fot < [email-masked]> wrote:

> Is there a John Buffum Fan out there?  If you are not familiar with 
> John Buffum, please look at Wikipedia.
>
> Would someone nominate him for induction into the British Sports Car Hall
> of Fame?   https://nam10.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttp-3A__Britishsportscarhalloffame.org%26d%3DDwICAg%26c%3DeuGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM%26r%3Df4RlF-AZ85FoB4JOE5gz-lUQp3pIJPNPVPkw5PntgGg%26m%3DKAfQZ3Ix9nKVlFybkr4jJBrFEJCaZqLyxP3gkmCIZMY%26s%3DKK4hhn-gXrbrbOc8ipzvs5Gs2NPg03Bu75fPDO4vF2Y%26e%3D&amp;data=05%7C01%7Cdoddk%40mossmotors.com%7C2f7768a674834c3e673008dacb2bb09a%7Cf062b437d81b493c829b82393374c0b8%7C0%7C0%7C638045685759902066%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&amp;sdata=5Wq23rk4MSJDoRZRoD8jyAoWStE3xAa1SLaw0UPOi8Q%3D&amp;reserved=0.
>
> John is alive and well in the Northeast and is still involved in
> supporting international rallying.     Thank you,
>
> Joe Alexander
> 4505 Donald Dr
> Cedar Falls, IA 50613

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot